#pragma once

#include "blitz/common/DataBuffer.h"
#include "blitz/common/NonCopyable.h"
#include "blitz/maths/Vector.h"
#include "client/audio/AudioLoader.h"

namespace blitz {
namespace audio {

class AudioBuffer : private NonCopyable {
  private:
	unsigned int m_ID;

  public:
	AudioBuffer(AudioData&& audioData);
	~AudioBuffer();

	unsigned int GetID() const {
		return m_ID;
	}
};

}  // namespace audio
}  // namespace blitz